{
	"name": "hoteline",
	"version": "1.0.1",
	"description": "市民热线服务系统",
	"author": "zc",
	"license": "MIT",
	"scripts": {
		"dev": "vite --force",
		"build": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build",
		"build:yibin": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode yibin",
		"build:zigong": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode zigong",
		"build:luzhou": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode luzhou",
		"build:st": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode st",
		"build:test": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode test",
		"build:demo": "cross-env NODE_OPTIONS=--max-old-space-size=8192 vite build --mode demo",
		"preview": "vite preview",
		"serve": "http-server ./dist",
		"lint-fix": "eslint --fix --ext .js --ext .jsx --ext .vue src/"
	},
	"dependencies": {
		"@amap/amap-jsapi-loader": "^1.0.1",
		"@element-plus/icons-vue": "^2.0.10",
		"@logicflow/core": "^2.0.12",
		"@logicflow/extension": "^2.0.12",
		"@microsoft/signalr": "^7.0.0",
		"@wangeditor-next/editor": "^5.6.34",
		"@wangeditor-next/editor-for-vue": "^5.1.14",
		"@wsfe/vue-tree": "^4.1.1",
		"axios": "^1.4.0",
		"crypto-js": "^4.2.0",
		"dayjs": "^1.11.9",
		"echarts": "^5.5.0",
		"element-plus": "^2.9.2",
		"file-saver": "^2.0.5",
		"html-docx-js-typescript": "^0.1.5",
		"html2canvas": "^1.4.1",
		"jsencrypt": "^3.3.2",
		"jspdf": "^2.5.2",
		"mitt": "^3.0.0",
		"nprogress": "^0.2.0",
		"pinia": "^2.1.4",
		"pinia-plugin-persist": "^1.0.0",
		"qs": "^6.11.0",
		"sortablejs": "^1.15.0",
		"splitpanes": "^3.1.5",
		"vue": "^3.2.45",
		"vue-echarts": "^6.6.9",
		"vue-router": "^4.1.6",
		"vue3-puzzle-vcode": "^1.1.7",
		"vue3-seamless-scroll": "^2.0.1",
		"vxe-pc-ui": "4.3.1",
		"vxe-table": "4.9.1"
	},
	"devDependencies": {
		"@types/node": "^18.11.9",
		"@types/nprogress": "^0.2.0",
		"@types/qs": "^6.9.7",
		"@typescript-eslint/eslint-plugin": "^8.14.0",
		"@typescript-eslint/parser": "^8.14.0",
		"@vitejs/plugin-vue": "^4.4.0",
		"@vitejs/plugin-vue-jsx": "^3.1.0",
		"@vue/compiler-sfc": "^3.2.45",
		"@vueuse/core": "^10.11.0",
		"cross-env": "^7.0.3",
		"dotenv": "^16.0.3",
		"eslint": "^9.14.0",
		"eslint-plugin-vue": "^9.31.0",
		"prettier": "^2.8.0",
		"rollup-plugin-visualizer": "^5.12.0",
		"sass": "^1.56.1",
		"sass-loader": "^13.2.0",
		"terser": "^5.26.0",
		"typescript": "~5.2.2",
		"vite": "4.5.10",
		"vite-plugin-compression": "^0.5.1",
		"vite-plugin-lazy-import": "^1.0.7",
		"vite-plugin-vue-setup-extend-plus": "^0.1.0",
		"vue-eslint-parser": "^9.1.0"
	},
	"browserslist": [
		"> 1%",
		"last 2 versions",
		"not dead"
	],
	"engines": {
		"node": ">=12.0.0",
		"npm": ">= 6.0.0"
	}
}
